CreateClientCredential
POST
/platform/clientauth/v1/credentialsRequest Body
requiredapplication/json{
"$ref": "#/components/schemas/clientauth.v1.CreateClientCredentialRequest",
"$ref-value": {
"type": "object",
"properties": {
"org_id": {
"type": "string",
"examples": [
"OR98234j23"
],
"title": "org_id"
},
"name": {
"type": "string",
"examples": [
"Server credential"
],
"title": "name",
"maxLength": 64,
"minLength": 1
},
"alg": {
"type": "string",
"examples": [
"EdDSA"
],
"title": "alg",
"enum": [
"",
"EdDSA"
]
}
},
"title": "CreateClientCredentialRequest",
"required": [
"name"
],
"additionalProperties": false
}
}Response Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/clientauth.v1.CreateClientCredentialResponse",
"$ref-value": {
"type": "object",
"properties": {
"credential": {
"allOf": [
{
"$ref": "#/components/schemas/clientauth.v1.ClientCredential",
"$ref-value": {
"type": "object",
"properties": {
"id": {
"type": "string",
"examples": [
"Z9Y8X7W6V5"
],
"title": "id"
},
"name": {
"type": "string",
"examples": [
"Server credential"
],
"title": "name",
"maxLength": 64
},
"client_id": {
"type": "string",
"examples": [
"XyZ9aB8cD1"
],
"title": "client_id"
},
"kid": {
"type": "string",
"title": "kid"
},
"alg": {
"type": "string",
"examples": [
"RS256"
],
"title": "alg"
},
"status": {
"allOf": [
{
"$ref": "#/components/schemas/clientauth.v1.ClientCredentialStatus",
"$ref-value": {
"type": "string",
"title": "ClientCredentialStatus",
"enum": [
"CLIENT_CREDENTIAL_STATUS_UNSPECIFIED",
"CLIENT_CREDENTIAL_STATUS_ACTIVE",
"CLIENT_CREDENTIAL_STATUS_REVOKED"
]
}
}
],
"examples": [
"CLIENT_CREDENTIAL_STATUS_ACTIVE"
],
"title": "status"
},
"created_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "created_at"
},
"last_used_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "last_used_at"
}
},
"title": "ClientCredential",
"additionalProperties": false
}
}
],
"title": "credential"
},
"client_secret": {
"type": "string",
"examples": [
"rxl_sk_Bq4y3QB38SFpzVPNx1cG"
],
"title": "client_secret"
}
},
"title": "CreateClientCredentialResponse",
"additionalProperties": false
}
}curl -X POST "https://api.rixl.com/platform/clientauth/v1/credentials" \
-H "Content-Type: application/json" \
-d '{
"name": "Server credential"
}'Success
application/json
{
"$ref": "#/components/schemas/clientauth.v1.CreateClientCredentialResponse",
"$ref-value": {
"type": "object",
"properties": {
"credential": {
"allOf": [
{
"$ref": "#/components/schemas/clientauth.v1.ClientCredential",
"$ref-value": {
"type": "object",
"properties": {
"id": {
"type": "string",
"examples": [
"Z9Y8X7W6V5"
],
"title": "id"
},
"name": {
"type": "string",
"examples": [
"Server credential"
],
"title": "name",
"maxLength": 64
},
"client_id": {
"type": "string",
"examples": [
"XyZ9aB8cD1"
],
"title": "client_id"
},
"kid": {
"type": "string",
"title": "kid"
},
"alg": {
"type": "string",
"examples": [
"RS256"
],
"title": "alg"
},
"status": {
"allOf": [
{
"$ref": "#/components/schemas/clientauth.v1.ClientCredentialStatus",
"$ref-value": {
"type": "string",
"title": "ClientCredentialStatus",
"enum": [
"CLIENT_CREDENTIAL_STATUS_UNSPECIFIED",
"CLIENT_CREDENTIAL_STATUS_ACTIVE",
"CLIENT_CREDENTIAL_STATUS_REVOKED"
]
}
}
],
"examples": [
"CLIENT_CREDENTIAL_STATUS_ACTIVE"
],
"title": "status"
},
"created_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "created_at"
},
"last_used_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "last_used_at"
}
},
"title": "ClientCredential",
"additionalProperties": false
}
}
],
"title": "credential"
},
"client_secret": {
"type": "string",
"examples": [
"rxl_sk_Bq4y3QB38SFpzVPNx1cG"
],
"title": "client_secret"
}
},
"title": "CreateClientCredentialResponse",
"additionalProperties": false
}
}